#ifndef _MAIN_H_
#define _MAIN_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <allegro.h>
#include <pc.h>

typedef unsigned char uint8;
typedef unsigned short int uint16;
typedef unsigned long int uint32;

/* Function prototypes */
int comms_read_memory(uint8 *buffer, uint32 address, uint32 length);
uint8 comms_exchange_byte(uint8 data);
void comms_send_longword(uint32 data);
uint32 comms_receive_longword(void);
void bswap(uint8 *mem, int length);

#endif /* _MAIN_H_ */
